# BEGIN SourceDeps(oneline):
BuildRequires: perl(Exporter.pm) perl(ExtUtils/MakeMaker.pm) perl(Test/More.pm)
# END SourceDeps(oneline)
%define module_version 0.02
%define module_name ParseCron
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.02
Release: alt1
Summary: describe a cron job in human-readable form 
Group: Development/Perl
License: perl
Url: %CPAN %module_name

Source0: http://cpan.org.ua/authors/id/E/EL/ELOHMROW/%module_name-%module_version.tar.gz
BuildArch: noarch

%description
describe a cron job in human-readable form.  adapted from http://interglacial.com/~sburke/pub/crontab2english.html for use in DDG Goodies.

`use ParseCron qw/parse_cron/;'

`...'

` my $english = parse_cron('42 12 3 Feb Sat'); '       

will produce '(42 12 3 Feb Sat) means this cron job will run: 12:42pm on the third of -- or every Saturday in -- February'.

See ParseCron.t for more example uses.


%prep
%setup -n %module_name-%module_version

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc Changes README
%perl_vendor_privlib/P*

%changelog
* Thu Apr 17 2014 Igor Vlasenko <viy@altlinux.ru> 0.02-alt1
- initial import by package builder

